Subject: [Catalina-22] [tech Tips] leak in anchor locker

From: [email-masked]
Date: Wed, 13 Jun 2007 20:15:38 +0000

Hello All
          Back in April I asked about a leak in my bow under the anchor locker. I think I fixed it, there was a small crack at the botton. I drilled a hole in the fiberglass that covers the anchor locker and used a mirror to see a slight amount of water traveling down the drain tube. I sanded the gel coat and tried to flood the crack with epoxy and then  I used fiberglass mesh over the crack, so far so good.

Thanks for the help
Scott Harding
1988 Swing Keel
Adagio 14284